Skip to main content
POST
/
api
/
v1
/
orgs
/
{org_id}
/
users
Add Org User
curl --request POST \
  --url https://api.example.com/api/v1/orgs/{org_id}/users \
  --header 'Content-Type: application/json' \
  --data '
{
  "workos_user_id": "<string>",
  "role": "member"
}
'
import requests

url = "https://api.example.com/api/v1/orgs/{org_id}/users"

payload = {
"workos_user_id": "<string>",
"role": "member"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({workos_user_id: '<string>', role: 'member'})
};

fetch('https://api.example.com/api/v1/orgs/{org_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workos_user_id": "<string>",
  "email": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Headers

Authorization
string | null

Path Parameters

org_id
string
required

Body

application/json
workos_user_id
string
required
role
enum<string>
default:member
Available options:
admin,
member
status
enum<string> | null
Available options:
active,
disabled

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
org_id
string<uuid>
required
workos_user_id
string
required
email
string
required
role
enum<string>
required
Available options:
admin,
member
status
enum<string>
required
Available options:
active,
disabled